[android-components](../../index.md) / [mozilla.components.support.base.observer](../index.md) / [ConsumableStream](index.md) / [append](./append.md)

# append

`@Synchronized fun append(vararg values: `[`T`](index.md#T)`): `[`ConsumableStream`](index.md)`<`[`T`](index.md#T)`>` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/support/base/src/main/java/mozilla/components/support/base/observer/Consumable.kt#L140)

Copies the stream and appends the provided values.

### Parameters

`values` - the values to append.

**Return**
a new consumable stream with the values appended.

